#ifndef PROCESSOUTPUTREADER_H
#define PROCESSOUTPUTREADER_H

#include <QObject>
#include <QProcess>
#include <QEventLoop>

class ProcessOutputReader : public QObject
{
    Q_OBJECT

    QProcess* m_process;
    QEventLoop m_loop;
    int m_ret;

public:

    ProcessOutputReader(QProcess* process);

    int loop(void);

public slots:

    void readOutput(void);

    void quitLoop(int ret);
};

#endif // PROCESSOUTPUTREADER_H
